Foxit PDF SDK

Instance Methods | Properties | List of all members
FSScreen Class Reference
Inheritance diagram for FSScreen:

## Instance Methods
(FSBitmap *) | - getBitmap
| Get the bitmap from current screen annotation. More...
(id) | - init
| Constructor.
(id) | - initWithAnnot:
| Constructor, with parent class object. More...
(void) | - removeAction
| Remove action. More...
(void) | - setImage:frame_index:compress:
| Set image to current screen annotation, with a specified frame index. More...
Instance Methods inherited from FSAnnot
(BOOL) | - FSMoveWithResetAppearance:is_reset_appearance:
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
(BOOL) | - FSResetApStreamWithIsGenerateNewAppearanceObj:
| Reset appearance stream. More...
(FSPDFStream *) | - getAppearanceStream:appearance_state:
| Get annotation's appearance stream with specified type and state. More...
(FSRectI *) | - getDeviceRect:
| Get annotation rectangle in device coordinate system. More...
(FSPDFDictionary *) | - getDict
| Get annotation's dictionary object. More...
(FSMatrix2D *) | - getDisplayMatrix:
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
(int) | - getIndex
| Get the index of current annotation in the page which current annotation belongs to. More...
(FSPDFDictionary *) | - getOptionalContent
| Get the PDF dictionary of annotation's optional content. More...
(FSPDFPage *) | - getPage
| Get the related PDF page. More...
(FSRectF *) | - getRect
| Get rectangle, in PDF coordinate system. More...
(FSAnnotType) | - getType
| Get actual annotation type of current annotation. More...
(BOOL) | - hasProperty:
| Whether current annotation has the specified annotation's property. More...
(id) | - initWithPage:annot_dict:
| Constructor, with PDF page and annotation's PDF dictionary. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isMarkup
| Check if current annotation is a markup annotation. More...
(BOOL) | - move:
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
(BOOL) | - removeProperty:
| Remove a specified annotation's property. More...
(BOOL) | - resetAppearanceStream
| Reset appearance stream. More...

## Properties
FSAction * | action
| Get or Set action. More...
FSPDFDictionary * | mKDict
| Get or Set the appearance characteristics dictionary (known as "MK" dictionary as well). More...
float | opacity
| Get or Set opacity value. More...
FSRotation | rotation
| Get or Set the rotation of the image used for the appearance of current screen annotation.
NSString * | title
| Get or Set title of current screen annotation.
Properties inherited from FSAnnot
unsigned int | borderColor
| Get or Set border color. More...
FSBorderInfo * | borderInfo
| Get or Set border information. More...
NSString * | content
| Get or Set content.
unsigned int | flags
| Get or Set annotation flags.
FSDateTime * | modifiedDateTime
| Get or Set last modified date time.
NSString * | uniqueID
| Get or Set unique ID.

## Detailed Description

A screen annotation specifies a region of a page upon which media clips may be played. It also serves as an object from which actions can be triggered. Usually, rendition action is set to a screen annotation in order that the screen annotation can be used to play media clip.
Class FSScreen is derived from FSAnnot , and offers functions to get/set link annotation's properties and reset appearance stream of a screen annotation. Appearance stream of a screen annotation is used for printing (if possible) and when the related media clip is not being played.

Note
  For a newly created screen annotation, it has no border information and no border color.

See also
  FSAnnot

## Method Documentation

## ◆ getBitmap()

- (FSBitmap *) getBitmap |  |  |

Get the bitmap from current screen annotation.

Returns
  A bitmap object. If the return value of function FSBitmap::isEmpty for the returned bitmap object is YES, that means current screen annotation has no bitmap.

## ◆ initWithAnnot:()

- (id) initWithAnnot: |  | (FSAnnot*) | annot |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

Reimplemented from FSAnnot.

## ◆ removeAction()

- (void) removeAction |  |  |

Remove action.

This function cannot be used to remove action which is used as additional action. If user wants to remove any additional action, please refer to class FSAdditionalAction for more details.

Returns
  YES means success, while NO means failure.

## ◆ setImage:frame_index:compress:()

- (void) setImage: |  | (FSImage*) | image
frame_index: |  | (int) | frame_index
compress: |  | (int) | compress

Set image to current screen annotation, with a specified frame index.

Input image may contain multiple frames, and only one frame of the image can be set to current stamp annotation.
If user wants the effect to be shown in annotation's appearance, please call function FSAnnot::resetAppearanceStream after this function.

Parameters

  [in] | image | An image. One of its frames will be set to current stamp. This image contains at least one frame and the image type should not be FSImageUnknown.
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FSImage::getFrameCount.
  [in] | compress | Compress algorithm type used to compress image data. Currently, it only supports 2 valid value: 0: no compress. 1: do default compress.

Returns
  None.

## Property Documentation

## ◆ action

- (FSAction *) action
| read write nonatomic weak

Get or Set action.

This function cannot be used to get action which is used as additional action. If user wants to get any additional action, please refer to class FSAdditionalAction for more details.

## ◆ mKDict

- (FSPDFDictionary *) mKDict
| read write nonatomic weak

Get or Set the appearance characteristics dictionary (known as "MK" dictionary as well).

If this dictionary is not set to a screen annotation (including current one), please call function FSPDFObject::destroy (inherited from FSPDFDictionary's parent class) to release it.

## ◆ opacity

- (float) opacity
| read write nonatomic assign

Get or Set opacity value.

This property has effect on annotation's appearance.